Maximum Sum Subarray of size K | Sliding Window

แชร์
ฝัง
  • เผยแพร่เมื่อ 5 ก.ย. 2024
  • Patreon Link: / adityaverma
    Video Pdf Notes And Code: / 41937811
    Playlist Link: • Sliding Window Algorit...
    Problem Description: practice.geeks...
    Given an array of integers Arr of size N and a number K. Return the maximum sum of a subarray of size K.
    Example:
    Input:
    N = 4, K = 2
    Arr = [100, 200, 300, 400]
    Output:
    700
    Explanation:
    Arr3 + Arr4 =700,
    which is maximum. .
    ------------------------------------------------------------------------------------------
    Here are some of the gears that I use almost everyday:
    🖊️ : My Pen (Used in videos too): amzn.to/38fKSM1
    👨🏻‍💻 : My Apple Macbook pro: amzn.to/3w8iZh6
    💻 : My gaming laptop: amzn.to/3yjcn23
    📱 : My Ipad: amzn.to/39yEMGS
    ✏️ : My Apple Pencil: amzn.to/3kMnKYf
    🎧 : My Headphones: amzn.to/3kMOzM7
    💺 : My Chair: amzn.to/385weqR
    🛋 : My Table: amzn.to/3kMohtd
    ⏰ : My Clock: amzn.to/3slFUV3
    🙋🏻‍♀️ : My girlfriend: amzn.to/3M6zLDK ¯\_(ツ)_/¯
    PS: While having good gears help you perform efficiently, don’t get under the impression that they will make you successful without any hard work.

ความคิดเห็น • 441

  • @MarkDSouza46
    @MarkDSouza46 3 ปีที่แล้ว +272

    There is no one better than you when it comes to Interview Prep. Please make a playlist on graphs!!!

  • @rajeshranjan6573
    @rajeshranjan6573 2 ปีที่แล้ว +94

    Same code as mentioned in the video:
    while(j

    • @a.srivas6741
      @a.srivas6741 2 ปีที่แล้ว +1

      isn,t is showing runtime error.

    • @rajeshranjan6573
      @rajeshranjan6573 2 ปีที่แล้ว +1

      Nope it's working fine just for the last edge case described by him

    • @samiralam244
      @samiralam244 2 ปีที่แล้ว +13

      @@a.srivas6741
      if(N

    • @akshitsangwan_
      @akshitsangwan_ 2 ปีที่แล้ว

      @@a.srivas6741 Check for long range edge cases

    • @deepakffyt2844
      @deepakffyt2844 ปีที่แล้ว

      long maxSum=0;
      for(int i=0;i

  • @tombrady7390
    @tombrady7390 3 ปีที่แล้ว +56

    when I am financially stable i will defiantly support u on Patreon

    • @itsmeakash_
      @itsmeakash_ ปีที่แล้ว +6

      Update?

    • @tombrady7390
      @tombrady7390 ปีที่แล้ว +7

      @@itsmeakash_ now I am in Deutsche Bank 😅😅

    • @daayush6654
      @daayush6654 ปีที่แล้ว +3

      ​@@tombrady7390 bro LinkedIn I'd bata do fir referral bhi de Dena if sahi Lage toh

    • @khushi1537
      @khushi1537 หลายเดือนก่อน

      @@tombrady7390 linked in?

    • @justlikethat133
      @justlikethat133 13 วันที่ผ่านมา

      @@daayush6654 update?

  • @prathameshkhadse3481
    @prathameshkhadse3481 3 ปีที่แล้ว +13

    Thanks Aditya Verma for making these videos, I worked on this and DP playlist religiously for a month and got placed.

    • @abhishekpilla8857
      @abhishekpilla8857 2 ปีที่แล้ว +2

      Wow that's great!! What is "this" you mean...sliding window?? And where did you get placed?

    • @CS_AbhaySingh
      @CS_AbhaySingh 19 วันที่ผ่านมา +1

      Bhai ek mahine ki padhayi se job miljaati hai?

  • @gyanprakash302
    @gyanprakash302 2 ปีที่แล้ว +21

    This is the most fun way to learn, glad I found you ! Amazing instructor, teaches like a bestfriend

  • @vasachisenjubean5944
    @vasachisenjubean5944 4 ปีที่แล้ว +195

    BHAI TREES AND GRAPHS! PLEASE START KARO!😔

  • @dimpleshah6538
    @dimpleshah6538 3 ปีที่แล้ว +16

    Superb Explanation! Very much helpful to people who cannot afford to pay lakhs and thousands to different coaching institutes. Keep up the good work!

  • @mansigoyal4796
    @mansigoyal4796 3 ปีที่แล้ว +15

    genius logoin ka smjaane ka trika hi alag hota hai... u r genius. I search each question on youtube as question then space aditya verma

  • @ShubhamKumar-km8pm
    @ShubhamKumar-km8pm ปีที่แล้ว +2

    One simple way of code
    First obtain the sum till window
    For(int i=0;i

    • @jayantsinghrajput8199
      @jayantsinghrajput8199 8 หลายเดือนก่อน

      You can also go with
      Int sum=0;
      for (int i=0; i

  • @rajbhowmick8575
    @rajbhowmick8575 2 ปีที่แล้ว +18

    Apart from a class apart teaching, I love his subtle pop culture reference. At 16:37 he says "Humara ek e maksaat hai bhai ..*pauses*, badlaa nahi lena hai" ~ Gangs of Wasseypur. Like Netflix, I think we can binge watch Aditya's playlist anytime. Fun and learning is just his forte. @Aditya - A session on Trees and Graphs would be of great help I think. Thanks again for all the help !

    • @anshmishra3066
      @anshmishra3066 6 หลายเดือนก่อน +1

      was searching for this comment

    • @anuverma1486
      @anuverma1486 2 หลายเดือนก่อน +1

      @@anshmishra3066 worked so hard

  • @heenaagarwal6795
    @heenaagarwal6795 3 ปีที่แล้ว +50

    alti palti :D :D You're the best TH-camr all around the world. Making teaching fun and easy. It clearly shows you have a great hold in DS and Algos. Please cover all the topics. Please share your knowledge, the way you are already doing. And I am sure, in no time you will be the greatest teacher of the competitive coding. We all are extremely grateful to you. Thanks a lot :)

    • @Lifeisgood108-33
      @Lifeisgood108-33 2 ปีที่แล้ว +9

      Aditya bhai, lgta h aapke pyaar me gir gyi bhai 😂😂

    • @JameS00989
      @JameS00989 2 ปีที่แล้ว +7

      @@Lifeisgood108-33 Aditya bhai lagta hay iske sath hee bhaag gaye youtube se :D 2 saal se gayeb hay banda

  • @ncertlinebyline8414
    @ncertlinebyline8414 3 หลายเดือนก่อน +1

    Slight correction use "continue"..
    If(j-i+1

  • @Iamnoone56
    @Iamnoone56 2 ปีที่แล้ว +1

    '''
    given an array find the max of sum of all subarrays of size k.
    fixed size window problem.
    '''
    def slidingWindow(nums,k):
    i, j = 0, 0
    maxi = -float("inf")
    currWindowSum = 0
    while j

  • @settyruthvik6236
    @settyruthvik6236 3 ปีที่แล้ว +11

    #code in python:
    class Solution:
    def maximumSumSubarray(k,arr):
    i=0
    j=0
    csum=0
    maxi=0
    while j

  • @rahulnagwanshi2348
    @rahulnagwanshi2348 3 ปีที่แล้ว +7

    Small clean code under while loop:
    while j

  • @NotNotNithin
    @NotNotNithin 3 ปีที่แล้ว +5

    My solution in Java:
    a. Using a while loop:
    public static int findMaxSumSubArrayUsingWhile(int k, int[] arr) {
    int maxSum = 0, windowStart = 0, windowEnd = 0, windowSum = 0;
    while(windowEnd < arr.length) {
    windowSum += arr[windowEnd];
    if (windowEnd - windowStart + 1 >= k) {
    maxSum = Math.max(maxSum, windowSum);
    windowSum -= arr[windowStart];
    windowStart++;
    }
    windowEnd++;
    }
    return maxSum;
    }
    b. Using a for loop:
    public static int findMaxSumSubArrayUsing For(int k, int[] arr) {
    int maxSum = 0, windowSum = 0;
    int windowStart = 0;
    for (int windowEnd=0; windowEnd < arr.length; windowEnd++) {
    windowSum += arr[windowEnd];
    if(windowEnd >= k-1) {
    maxSum = Math.max(maxSum, windowSum);
    windowSum -= arr[windowStart];
    windowStart++;
    }
    }
    return maxSum;
    }

  • @PRANAVMAPPOLI
    @PRANAVMAPPOLI 2 ปีที่แล้ว +3

    #SimplePython
    Start=end=cnrtsum=maxsum=0
    while(end

  • @vipergo7827
    @vipergo7827 2 ปีที่แล้ว +18

    java code ->
    static long maximumSumSubarray(int K, ArrayList Arr,int N){
    // code here
    int s = 0;
    int e = 0;
    long maxSum = Long.MIN_VALUE;
    long sum = 0;
    while(e < N)
    {
    sum=sum+Arr.get(e);
    if(e - s + 1 == K)
    {
    maxSum = Math.max(sum,maxSum);
    sum -= Arr.get(s);
    s++;
    e++;
    }
    else
    {
    e++;
    }
    }
    return maxSum;
    }

  • @ankoor
    @ankoor 3 ปีที่แล้ว +2

    Python3:
    k = 3
    A = [2, 3, 5, 2, 9, 7, 1]
    n = len(A)
    i = 0
    j = 0
    total = 0
    maxSum = float('-inf')
    while j < n:
    total += A[j]
    if j - i + 1 < k:
    j += 1
    elif j - i + 1 == k:
    maxSum = max(maxSum, total)
    total -= A[i]
    i += 1
    j += 1
    print(f"Max Sum of {k} consecutive elements: {maxSum}")

    • @pratik6649
      @pratik6649 ปีที่แล้ว

      Thanks

    • @himanshubharti4453
      @himanshubharti4453 11 วันที่ผ่านมา

      Bro can u provide all python programs pf remaining questions

  • @jagadeeshp1163
    @jagadeeshp1163 4 ปีที่แล้ว +9

    Bro working with geeks for geeks and all bookmarked questions I'm try ing to start by all Ur superb concepts thanks for the effort brother love from AP

  • @amritmalviya7414
    @amritmalviya7414 ปีที่แล้ว +15

    Please come back

  • @rtn3756
    @rtn3756 11 หลายเดือนก่อน +2

    class Solution{
    static long maximumSumSubarray(int K, ArrayList Arr,int N){
    long sum = 0;
    long max = Integer.MIN_VALUE;
    int i = 0;
    int j = 0;
    while(j

  • @imkryoto
    @imkryoto 3 ปีที่แล้ว +8

    Concise implementation:
    int maximumSumSubarray(vector &Arr , int N, int K){
    int i = 0, j = 0, sum = 0, max_el = INT_MIN;
    while (j < N) {
    sum += Arr[j++];
    if (j - i == K) {
    max_el = max(max_el, sum);
    sum -= Arr[i++];
    }
    }
    return max_el;
    }

    • @xplorewithdeba7869
      @xplorewithdeba7869 2 ปีที่แล้ว

      int i=0,j=0;
      int sum =0;
      int mx = INT_MIN;
      while(j

    • @tarunkumar.d8379
      @tarunkumar.d8379 2 ปีที่แล้ว

      @@xplorewithdeba7869 in else if you are not increasing j

  • @shuvbhowmickbestin
    @shuvbhowmickbestin 2 ปีที่แล้ว +2

    Bhaiya is making videos at 6AM in the morning. Some dedication!

  • @Amit-jp7vt
    @Amit-jp7vt ปีที่แล้ว +3

    Your explaination and clarity of concepts is awesome.
    Here for understanding sliding window algorithm.Tysm.
    Please keep uploading👌.

  • @HimanshuSingh-dk4hr
    @HimanshuSingh-dk4hr 2 ปีที่แล้ว +2

    What I can say. I have no word for your explanation. I am speechless. Thankyou so much❤️

  • @anshumanparida7079
    @anshumanparida7079 หลายเดือนก่อน

    After watching 100 of videos finally i found the best one Thanks bro

  • @zikrerasul7021
    @zikrerasul7021 14 วันที่ผ่านมา

    what an explanation ! made it super easy for me . thanks a lot

  • @teched1803
    @teched1803 3 ปีที่แล้ว +5

    Your videos are inculcating interest inside me towards programming

  • @rahuldwivedi4758
    @rahuldwivedi4758 8 หลายเดือนก่อน

    Don’t think j-I+1 == k check is required. A simple check of j

  • @sauravthakur2915
    @sauravthakur2915 2 ปีที่แล้ว +1

    5:55 " ghar baithe bana sakta hai " 😂😂

  • @ankitbhatt5630
    @ankitbhatt5630 2 ปีที่แล้ว +5

    Great Explanation! Looking forward to learning Trees and Graphs! :)

  • @jaishriharivishnu
    @jaishriharivishnu 3 หลายเดือนก่อน

    initially I fond sliding window a bit challenging, and was stuck at the case where window size==1 , i.e i==j.... now i have got a solution for it, use this template and all the questions will be solved
    ws=0;
    for(we=0; we < size of array; we++){
    (1)[take the element]
    (2) while loop ( make sure you put ws

  • @philosphize
    @philosphize ปีที่แล้ว +1

    Man where are you.
    Thanks for such great tutorial
    Please start doing TH-cam again

  • @mohit84604
    @mohit84604 ปีที่แล้ว +1

    javascript solution :-
    let array = [100,200,300,400]
    let k = 2
    function solve(array,k) {
    debugger
    let sum = 0
    let max = 0
    let i = 0
    let j = 0
    while (j < array.length) {
    sum += array[j]
    if(j - i + 1

  • @saitejavaddepalli3400
    @saitejavaddepalli3400 2 ปีที่แล้ว +4

    Rather simple implementation in java:
    static int maximumSumSubarray(int k, ArrayList arr,int N){
    // sum it upto k
    int sum = 0;
    for(int i = 0; i < k; i++){
    sum += arr.get(i);
    }
    // create a variable max and assign it with sum
    int max = sum;
    // create a pointer that point to 1st index
    int j = 0;
    // include kth index and remove jth index
    for(int i = k; i < N; i++, j++){
    sum = sum + arr.get(i) - arr.get(j);
    max = Math.max(sum, max);
    }
    // return the maximum
    return max;
    }

  • @dydx3741
    @dydx3741 3 หลายเดือนก่อน

    start_idx = 0
    end_idx = 0
    sum = 0
    max_sum = 0
    window_size = 3
    array = [-1 , -2, 10, 5 ]
    while( end_idx < len(array) ):
    sum = sum + array[ end_idx ]
    if ( end_idx - star_idx + 1 < window_size ):
    end_idx += 1
    else:
    max_sum = max( max_sum, sum)
    end_idx += 1
    sum = sum - array[ start_idx ]
    start_idx += 1
    print(max_sum)

  • @ranjeetsinghbhati5540
    @ranjeetsinghbhati5540 ปีที่แล้ว +38

    // Maximum Sum SubArray of size k
    #include
    using namespace std;
    int maxsubarray(int *arr,int size,int k){
    int i=0,j=0, sum=0;
    int maxsum=INT_MIN;
    while(jn>>k;
    int *arr=new int[n];
    for(int i=0;i>arr[i];
    }
    cout

    • @omsatpathy5455
      @omsatpathy5455 ปีที่แล้ว +1

      bhai ye leetcode me TLE kyun de rha ?

    • @asanitian6218
      @asanitian6218 ปีที่แล้ว

      What is this code bro..... it's wrong or Am I wrong... please let me know🙏🙏🙏

    • @rudrajha1002
      @rudrajha1002 11 หลายเดือนก่อน

    • @tarunparmar1723
      @tarunparmar1723 11 หลายเดือนก่อน

      @@asanitian6218Their require a change in code.
      The max condition will come outside the else condition because if it is inside the else condition it will not store the sum forn first k elements

    • @yash12patre78
      @yash12patre78 8 หลายเดือนก่อน

      sum , maxsum ka data type long long kardo
      aur while loop m size ki jagah arr.size() kardo
      for C++;

  • @nikitajaiswal9112
    @nikitajaiswal9112 2 ปีที่แล้ว

    class Solution:
    def helper(self,arr,k):
    i,j,s,mx=0,0,0,0
    while j

  • @onkarpreetsingh1648
    @onkarpreetsingh1648 4 ปีที่แล้ว +16

    a request to start graphs after it

  • @surajsharma-1554
    @surajsharma-1554 5 หลายเดือนก่อน +1

    C++ Code:
    long maximumSumSubarray(int K, vector &Arr , int N){
    // code here
    long ans = INT_MIN;
    long sum = 0;
    int i=0,j=0;
    while(j

  • @kapiltanwer552
    @kapiltanwer552 6 หลายเดือนก่อน

    easy to understand code than aditya verma time O(n) space O(1)
    long maximumSumSubarray(int k, vector &arr , int n){
    long int maxSum=INT_MIN;
    long int sum=0;
    for(int i=0;i

  • @herculean6748
    @herculean6748 ปีที่แล้ว +1

    Sliding window application 😄🔥

  • @RajveerSingh-vt9ce
    @RajveerSingh-vt9ce 3 หลายเดือนก่อน

    class Solution{
    static long maximumSumSubarray(int k, ArrayList nums,int n){
    // code here
    long sum = 0;
    long res = 0;
    int i=0;
    for(i=0; i

  • @VanshSharma-ce6km
    @VanshSharma-ce6km ปีที่แล้ว

    long sum=0 ,ans=INT_MIN;
    int l =0 , i=0;
    while(i

  • @sibasish.tripathy
    @sibasish.tripathy 2 ปีที่แล้ว +3

    during this one video of lecture i am distracted 10 times through ads

  • @atrisengupta9776
    @atrisengupta9776 3 ปีที่แล้ว +2

    Bhaiya,I started learning java post lockdown,tried to prepare myself for placement when summer vacation started.Luckily I came across ur channel.I have been here since ur first video.Just wanted to thanku for everything.Being from non cs I didn't expect me doing well..but luckily efforts paid off,thanks to ur videos..I got placed in General Electric software profile.Ur videos are unparalleled and unmatched.I owe u a lot❤️

  • @ram9523
    @ram9523 3 ปีที่แล้ว +2

    Superb ,very well explained .
    Knowing the concept is one thing and explaining it to others in a simple way is great .
    Very helpful

  • @sudhadevi6692
    @sudhadevi6692 ปีที่แล้ว +1

    Thx bhaiya❤

  • @aartibhatnagar3989
    @aartibhatnagar3989 ปีที่แล้ว +1

    Baiyya you are awesome!!! 🔥
    int main(){
    int m, n;
    cin>>m>>n;
    vector a(m, 0);
    a[n-1] = 1;
    int sum=0;
    int i=0, j=0;
    while( j

  • @niharpatra8592
    @niharpatra8592 ปีที่แล้ว +1

    class Solution {
    maximumSumSubarray(K, Arr, N) {
    //console.log(Arr)
    let sum = 0;
    let i=0;
    let j=0;
    let max = 0;
    if(K>N){
    return -1
    }
    while(j

  • @shubham7668
    @shubham7668 2 ปีที่แล้ว +1

    5:50 Aaram se ghar baith ke bana sakta hai koi bhi banda 😂😂
    Bhaiya aap ques ki hi baat kar rahe ho na? 😂

  • @shubhamlakhotia1400
    @shubhamlakhotia1400 3 ปีที่แล้ว +10

    bhai when will you going to upload new video , it almost been a month now

  • @shub.trivedi03
    @shub.trivedi03 6 หลายเดือนก่อน +1

    This is the code for this video in C++
    #include
    using namespace std;
    int main() {
    vector v = {2, 5, 1, 8, 2, 9, 1};
    // find the subarray of size 3 whose sum is maximum
    int sum = 0, maxi = INT_MIN, k = 3;
    int i = 0, j = 0;
    while(j < v.size()) {
    // if window size is not equal to k, then increase the window size
    if (j - i + 1 < k) {
    sum += v[j];
    j++;
    } else if (j - i + 1 == k) {
    sum = sum + v[j];
    maxi = max(maxi, sum);
    sum = sum - v[i];
    i++;
    j++;
    }
    }
    cout

  • @Mehraj_IITKGP
    @Mehraj_IITKGP 11 หลายเดือนก่อน

    here is the code discussed in the lecture:
    #include
    #include
    using namespace std;
    using namespace std;
    long long maximumSumSubarray(int k, vector &a, int n){
    int i = 0, j = 0;
    long long sum = 0;
    while(j-i+1 n >> k;
    vector a(n);
    for(long i=0;i> a[i];
    }
    cout

  • @farzadkhan3813
    @farzadkhan3813 ปีที่แล้ว

    long maxSum = Integer.MIN_VALUE; // why not 0? To handle -ve nums
    long sum = 0;
    int i = 0; // start index
    int j = 0; // end index
    while(j < N) { // iterating over all the elements
    sum += Arr.get(j);
    if(j-i+1 == K) {
    maxSum = Math.max(sum, maxSum);
    sum -= Arr.get(i++);
    }
    j++;
    }
    return maxSum;

  • @k.chandanapriya4004
    @k.chandanapriya4004 3 ปีที่แล้ว +13

    Agli video kab ayegi? Waiting eagerly 😭😭 please make videos on graphs

  • @tamishverma2261
    @tamishverma2261 3 ปีที่แล้ว +3

    Thanks a lot simple and effective way

  • @pratika-prakhar
    @pratika-prakhar 4 หลายเดือนก่อน

    Your Recursion and Backtracking Playlist awesome 👍

  • @luckymishra5207
    @luckymishra5207 ปีที่แล้ว +3

    long maximumSumSubarray(int K, vector &Arr , int N){
    int i=0,j=0;
    long ans=INT_MIN;
    long sum=0;
    while(j

    • @parthanuj8611
      @parthanuj8611 ปีที่แล้ว

      is this question available on leetcode

  • @ashutoshkumardwivedi3949
    @ashutoshkumardwivedi3949 4 ปีที่แล้ว +19

    Once you recommended jenny's channel and yes i watch her daily.😎😂

    • @ansar2137
      @ansar2137 4 ปีที่แล้ว +2

      Haan, Unka explanation bhi kaafi badiya hota hai

    • @ashutoshkumardwivedi3949
      @ashutoshkumardwivedi3949 4 ปีที่แล้ว +3

      @@ansar2137really not only explanation everything lol

    • @bhavyamalviya8364
      @bhavyamalviya8364 3 ปีที่แล้ว +15

      Is that even an explanation? That's Theory which looks nice only on end SEM college paper lol

    • @ashutoshkumardwivedi3949
      @ashutoshkumardwivedi3949 3 ปีที่แล้ว

      @@bhavyamalviya8364 surely not but im talking about her she is cute

    • @Goat_-sx1cy
      @Goat_-sx1cy 3 ปีที่แล้ว +5

      @@ashutoshkumardwivedi3949 Placement ka padh le bhai 😂 College professor hain Jenny mam.

  • @339_mehbulislam3
    @339_mehbulislam3 3 ปีที่แล้ว +4

    i applied this tutorial code on gfg but it isnt accepting my code and showing wrong output while i test the same code in jupyter its working fine

  • @piyushtale0001
    @piyushtale0001 ปีที่แล้ว

    Working code with all test cases running
    let i = 0
    let j = 0
    let sum = 0
    let max = -Infinity
    while(j < arr.length){
    if(j-i+1

  • @Shubham.Parmar
    @Shubham.Parmar ปีที่แล้ว

    static int findMaxSubArray(int a[], int k) {
    int i = 0, j = 0;
    int sum = 0;
    int max = Integer.MIN_VALUE;
    while (j < a.length) {
    sum = sum + a[j];
    if (j - i + 1 >= k) {
    max = Math.max(sum, max);
    sum = sum - a[i];
    i++;
    }
    j++;
    }
    return max;
    }

  • @techykush7192
    @techykush7192 3 ปีที่แล้ว +2

    bhaiya plzzz start graph series 👏👏👏

  • @ShivamGupta-cx3hy
    @ShivamGupta-cx3hy 3 ปีที่แล้ว +3

    Here is the code of above explaination But it is not accepting for multiple test cases
    Can anyone tell why?
    int maximumSumSubarray(int K, vector &A , int N){
    // code here
    int i=0;
    int j=0;
    int sum=0;
    int maxsum=INT_MIN;
    while(j

  • @tahniat
    @tahniat 2 ปีที่แล้ว +1

    Java Solution:
    -----------------------
    public static int findMaxSum (int [] array, int k) {
    int i =0, j = 0;
    int max = 0, sum = 0;

    while (j < array.length) {
    sum = sum + array[j];
    if (j-i+1

  • @ritiksrivastava9069
    @ritiksrivastava9069 2 ปีที่แล้ว

    finally sab kuch samajh aagya h sir.

  • @ganeshjaggineni4097
    @ganeshjaggineni4097 2 หลายเดือนก่อน

    NICE SUPER EXCELLENT MOTIVATED

  • @superfact4556
    @superfact4556 3 ปีที่แล้ว +5

    BHAI TREES AND GRAPHS! PLEASE START KARO
    @aditya verma

  • @as_if
    @as_if 7 หลายเดือนก่อน

    14:00 yeah, i was approaching like that, fixing the window at the start

  • @AjayPrasadVerma-id9lf
    @AjayPrasadVerma-id9lf 4 หลายเดือนก่อน

    Code in C#
    public long maximumSumSubarray(int K, List Arr , int N)
    {
    int i=0; int j=0;
    long maxSum = 0;
    long sum=0;
    while(j

  • @abhikrity9758
    @abhikrity9758 2 ปีที่แล้ว

    Good way of explanation. Thought of watching complete series, but it's too lengthy an repeatative.

  • @jitinroy2246
    @jitinroy2246 2 ปีที่แล้ว +5

    JAVA CODE************
    import java.util.Arrays;
    import java.lang.*;
    public class Main
    {
    public static int window(int[] arr, int k){
    int i=0,j=0;
    int maxcurr=0;
    int maxsum=Integer.MIN_VALUE;
    while(j

  • @yashpatel-dx8wr
    @yashpatel-dx8wr 4 ปีที่แล้ว +4

    it's easy if we are using deque with fixed size.

  • @abhi.2407
    @abhi.2407 2 ปีที่แล้ว

    code:
    int i=0;int j=0;
    long sum=0;long maxi=-1e9;
    while(j

  • @TTGameing123
    @TTGameing123 3 ปีที่แล้ว +2

    Bayya upload videos regularly ....3 videos per week ...at least...

  • @s.nitinnitin4449
    @s.nitinnitin4449 3 ปีที่แล้ว +1

    bhai Game of thrones se bi Jayda Maja ata hai tera videos.

  • @yasshbajoria
    @yasshbajoria 3 ปีที่แล้ว

    I think this is the best explanation for me.

  • @nadimakhtar97
    @nadimakhtar97 3 ปีที่แล้ว +1

    You are great. please complete this series soon.

  • @girdhar3224
    @girdhar3224 5 หลายเดือนก่อน

    class Solution{
    static long maximumSumSubarray(int K, ArrayList A,int N){
    // code here
    long k = 0;
    long sum = 0;
    long res = A.get(0);
    for(int i = 0;i

  • @priyanshkumar17
    @priyanshkumar17 10 หลายเดือนก่อน +2

    An edge case can be -
    if ( k > arr.size()){
    return false;
    }
    Such a subarray is impossible

  • @Official1294-m3x
    @Official1294-m3x 3 ปีที่แล้ว

    you are like superman of coding dude!

  • @CosmosHole
    @CosmosHole 5 หลายเดือนก่อน

    Thank you so much for making such video

  • @garimamishra1776
    @garimamishra1776 3 ปีที่แล้ว +13

    Can you make a video explaining stock buy and sell and its variations? P.S. You helped me a lot in understanding DP, great work!

    • @ShivamGupta-cx3hy
      @ShivamGupta-cx3hy 3 ปีที่แล้ว +4

      Check Out Pepcoding For that 6 problems covered

  • @subhankarhotta7094
    @subhankarhotta7094 2 ปีที่แล้ว +1

    I think we could also solve it without using a ptr for i right? We could simply use the window size and j to find out the first element of the prev window to be discarded everytime in the sum.

    • @kameshiitb
      @kameshiitb 11 หลายเดือนก่อน +1

      True!

  • @radiant_harsh
    @radiant_harsh 3 ปีที่แล้ว +37

    #include
    using namespace std;
    int main()
    {int t;
    cin>>t;
    while(t--)
    {//max of subarray of size k
    int n,k;
    cin>>n>>k;//size of array and subarray
    int a[n];
    vectorv;
    for(int i=0;i>a[i];
    }
    int i=0,j=0,sum=0;
    while(j

    • @utkarshgautam1940
      @utkarshgautam1940 3 ปีที่แล้ว +8

      love u bro ,this dumb havent provided the code

    • @skandhakarlamangal5204
      @skandhakarlamangal5204 3 ปีที่แล้ว +21

      @@utkarshgautam1940 I think he provided the required explanation to arrive at the code. If you are unable to follow, you must reconsider the definition of dumb in your head.

    • @soniamalik4929
      @soniamalik4929 3 ปีที่แล้ว +1

      @@utkarshgautam1940 Phle tolo,fir bolo....Watch some genius's lecture...not Dumb's lecture then.Have guts to arrive at code by yourself..kB tk spoonfeed krega tumhe koi.bro

    • @utkarshgautam1940
      @utkarshgautam1940 3 ปีที่แล้ว +2

      @@soniamalik4929 when u revising this just before ur interview ,u make psedo code ,now u need to check then we need the code, that's what I mean

    • @soniamalik4929
      @soniamalik4929 3 ปีที่แล้ว +1

      @@utkarshgautam1940 oh Utkarsh got your point now!!Good luck!!

  • @rishavdhiman5678
    @rishavdhiman5678 2 ปีที่แล้ว +1

    My Java Code -
    public class MyClass {
    public static void main(String args[]) {
    int arr[]={1, 4, 2, 10, 23, 3, 1, 0, 20};
    int k=4;
    int i=0;
    int j=0;
    int sum=0;
    int ans=Integer.MIN_VALUE;
    int size=arr.length;
    while(j

  • @djshah6370
    @djshah6370 2 ปีที่แล้ว

    very great explain...thank you

  • @nitesh.jyotishi
    @nitesh.jyotishi 4 ปีที่แล้ว +7

    Bhaiya ek baar strings ki series bna do, strings bhut confuse krti hai. Placement hote hi party dunga aapko , aapne video dekhne k bad DSA ka drr khtm hua h.

  • @anonymous1257
    @anonymous1257 หลายเดือนก่อน

    for gfg in JAVA
    class Solution{
    static long maximumSumSubarray(int K, ArrayList Arr,int N){
    // code here
    int i = 0;
    int j = 0;
    long maxsum = 0;
    long sum = 0;
    while(j

  • @likemanu9793
    @likemanu9793 2 ปีที่แล้ว

    your video is very nice and very nice explanation but only one thing if you explain the code then next solve the code in VS code ones write the code the all problem solve

  • @reddykishore2496
    @reddykishore2496 4 ปีที่แล้ว +3

    Bro explain combination of prefixsum , sliding window and binary search searching problems

  • @ECENITHISHKUMARV
    @ECENITHISHKUMARV 11 หลายเดือนก่อน +1

    can you enable english subtitles for tamil people

  • @ishikagarg1537
    @ishikagarg1537 2 ปีที่แล้ว +1

    //MAX or MIN sum of subarray --> FIXED SLIDING WINDOW
    #include
    using namespace std;
    //MAX SUBARRAY
    int maxsum(int arr[], int n,int k){
    int max_sum=INT_MIN;
    for(int i=0;i

  • @theruler1096
    @theruler1096 ปีที่แล้ว

    C++ code:
    int max_sum(vector&nums,int k)
    {
    int ans=-INT_MAX;
    int sum=0;
    int left=0;
    int right=k-1;
    for(int i=left;i

  • @HarendraKumar-hl8nh
    @HarendraKumar-hl8nh 3 ปีที่แล้ว +1

    Bhaiya sliding window ka 4th video apne private kr rakha h .... I m dying to learn more from you ❤️❤️❤️ please upload videos.

  • @propubggamer2222
    @propubggamer2222 ปีที่แล้ว +1

    Please come back bhaiya.🥺

  • @omerbakhtiar5446
    @omerbakhtiar5446 ปีที่แล้ว

    very well explained, keep up the good work
    😃😃

  • @ajitkerle6607
    @ajitkerle6607 2 ปีที่แล้ว

    He has good knowledge